org.apache.calcite.avatica.remote

## Class ProtobufTranslationImpl.RequestTranslator

- java.lang.Object
- - org.apache.calcite.avatica.remote.ProtobufTranslationImpl.RequestTranslator

Enclosing class:
  ProtobufTranslationImpl

    static class ProtobufTranslationImpl.RequestTranslator
    extends Object

Encapsulate the logic of transforming a protobuf Request message into the Avatica POJO request.

### Field Summary

Fields
`private Service.Request` `impl`
`private com.google.protobuf.Parser<? extends com.google.protobuf.Message>` `parser`

### Constructor Summary

Constructors
Constructor and Description
`RequestTranslator(com.google.protobuf.Parser<? extends com.google.protobuf.Message> parser, Service.Request impl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Service.Request` `transform(com.google.protobuf.ByteString serializedMessage)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parser

    private final com.google.protobuf.Parser<? extends com.google.protobuf.Message> parser

#### impl

    private final Service.Request impl

### Constructor Detail

#### RequestTranslator

    public RequestTranslator(com.google.protobuf.Parser<? extends com.google.protobuf.Message> parser,
                             Service.Request impl)

### Method Detail

#### transform

    public Service.Request transform(com.google.protobuf.ByteString serializedMessage)
                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`